<template>
  <div class="pt-4 pb-20">
    <div class="px-8">
      <div class="flex justify-center">
        <div
          class="p-10 mt-4 max-w-[932px] bg-[color:var(--background-body)] boxShadow rounded-3xl w-full"
        >
          <div class="mb-10 text-center">
            <div
              class="text-[44px] font-bold text-[color:var(--title-font-color)]"
            >
              {{ $t(String(title).toLowerCase().replace(" ", "_")) }}
            </div>
          </div>
          <div
            v-if="!content?.IsHidden"
            class="text-[16px] text-[color:var(--font-color-primary)]"
            v-html="content?.Text"
          ></div>
          <nuxt-link :to="'/'">
            <button
              class="max-w-[240px] text-[color:var(--font-color-primary)] bg-[color:var(--button-bg)] boxShadow h-[40px] px-5 font-[600] mt-6 uppercase rounded-md"
            >
              {{ $t("go_to_homepage") }}
            </button>
          </nuxt-link>
        </div>
      </div>
    </div>
  </div>
</template>
<script lang="ts" setup>
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

defineProps({
  title: {
    type: String,
    required: true,
  },
  content: {
    type: Object as PropType<IThemePropertiesFromApi>,
    required: true,
  },
});
</script>
<style lang="scss" scoped>
.boxShadow {
  box-shadow: var(--box-shadow);
}
</style>
